<?php
function gd_extension($full_path_to_image='')
 {
     $extension = 'null';
     if($image_type = exif_imagetype($full_path_to_image))
     {
         $extension = image_type_to_extension($image_type, false);
     }
     $known_replacements = array(
         'jpeg' => 'jpg',
         'tiff' => 'tif',
     );
     $extension = '.'.str_replace(array_keys($known_replacements), array_values($known_replacements), $extension);
     
     return $extension;
 }

# Testing

$fil = 'files/photos/photo_297.jpeg';///photo_2.png';/////////photo_175.jpg';

$images = glob($fil);
 foreach($images as $i => $image)
 {
     $extension = gd_extension($image);
   ///echo "\r\n", $image, ': ', $extension.'<br />';
 }


 
///echo $extension;

if($extension == '.jpg')
{
Header("Content-type: image/jpg");
$string=implode("текствавывавыа выавыа");
$im = imagecreateFromJpeg($fil);
$orange = ImageColorAllocate($im, 220, 210, 60);
$px = (imagesx($im)-7.5*strlen($string))/2;
ImageString($im,3,$px,9,$string,$orange);
imageJpeg($im);
ImageDestroy($im);
}elseif($extension == '.gif')
{ 
Header("Content-type: image/gif");
///$string=implode($argv," ");
$im = imagecreateFromGif($fil);
$orange = ImageColorAllocate($im, 220, 210, 60);
$px = (imagesx($im)-7.5*strlen($string))/2;
ImageString($im,3,$px,9,$string,$orange);
ImageGif($im);
ImageDestroy($im);
}elseif($extension == '.png') 
{
Header("Content-type: image/png");
////$string=implode($argv," ");
$im = imagecreateFromPng($fil);
$orange = ImageColorAllocate($im, 220, 210, 60);
$px = (imagesx($im)-7.5*strlen($string))/2;
ImageString($im,3,$px,9,$string,$orange);
imagePng($im);
ImageDestroy($im);
}else{
echo 'Фотография ненайдена!';
}





/*

echo '<br />';
if ($mod)echo gb.'<a href="board">Доска Почета</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный Кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();

/*
$image_folder_path = '/files/photos/';
foreach(glob("files/photos/*.jpg") as $img){
   echo "<img src='$img'/>";
}
*/

/*
///$id_new_img=imagecreatetruecolor($img_max_size[0],$img_max_size[1]);
      ////print "$id_new_img<br>";
      
 $image = imagecreatetruecolor(80,60) // создаем изображение... 
    or die('Cannot create image');     // ...или прерываем работу скрипта в случае ошибки 


  // "Зальем" фон картинки синим цветом...
  imagefill($image, 0, 0, 0x000080);
  // Нарисуем желтый контурный эллипс...
  imageellipse($image, 40, 30, 50, 50, 0xFFFF00);
  // ...и еще пару, но сплошных...
  imagefilledellipse($image, 30, 20, 10, 10, 0xFFFF00);
  imagefilledellipse($image, 50, 20, 10, 10, 0xFFFF00);
  // ...вертикальную линию...
  imageline($image, 40, 28, 40, 38, 0xFFFF00);
  // ...и дугу.
  imagearc($image, 40, 30, 40, 40, 45, 135, 0xFFFF00);

  // Устанавливаем тип документа - "изображение в формате PNG"...
  header('Content-type: image/png'); 
  // ...И, наконец, выведем сгенерированную картинку в формате PNG:
  imagepng($image);

  imagedestroy($image);                // освобождаем память, выделенную для изображения	  
	  
	  
	  */

    /*      
          if(function_exists("imagecreatefromjpeg")) echo "Такая функция есть"; else echo "Такой функции нет";
          $id_old_img=@imagecreatefromjpeg("files/photos/photo_175.jpg"); 
          print"проверка  после креате $id_old_img";
          if(!$id_old_img){print"неудача";}  
 
*/
/*

$image = open_image('files/photos/photo_175.jpg');

if ($image === false) {
        die ('Не удается открыть изображение');
}

echo 'Изображение успешно открыто';
/*


*/
/*

function open_image ($file) {
        // Получаем информацию об расширении файла
        $extension = strrchr($file, '.');
        $extension = strtolower($extension);

        switch($extension) {
                case '.jpg':
                case '.jpeg':
                        $im = @imagecreatefromjpeg($file);
                        break;
                case '.gif':
                        $im = @imagecreategif($file);
                        break;

                // ... и так далее

                default:
                        $im = false;
                        break;
        }
        return $im;
}
$image = open_image('files/photos/photo_175.jpg');

echo 'Изображение успешно открыто';
/*
function open_image ($file) {
        # JPEG:
        $im = @imagecreatefromjpeg($file);
        if ($im !== false) { return $im; }

        # GIF:
        $im = @imagecreategif($file);
        if ($im !== false) { return $im; }

        # PNG:
        $im = @imagecreatepng($file);
        if ($im !== false) { return $im; }

        # GD File:
        $im = @imagecreategd($file);
        if ($im !== false) { return $im; }

        # GD2 File:
        $im = @imagecreategd2($file);
        if ($im !== false) { return $im; }

        # WBMP:
        $im = @imagecreatewbmp($file);
        if ($im !== false) { return $im; }

        # XBM:
        $im = @imagecreatexbm($file);
        if ($im !== false) { return $im; }

        # XPM:
        $im = @imagecreatexpm($file);
        if ($im !== false) { return $im; }

        # Попытка открыть со строки:
        $im = @imagecreatestring(file_get_contents($file));
        if ($im !== false) { return $im; }

        return false;
}

/*

$im = @imagecreatefromjpeg('files/photos/photo_175.jpg');

if ($im === false) {
        die ('Не удается открыть изображение');
}
echo 'Изображение успешно открыто';
/*


*/
/*
if ( !function_exists('image_type_to_extension') ) {

     function image_type_to_extension ($type, $dot = true)
     {
         $e = array ( 1 => 'gif', 'jpeg', 'png', 'swf', 'psd', 'bmp' 
             'tiff', 'tiff', 'jpc', 'jp2', 'jpf', 'jb2', 'swc',
             'aiff', 'wbmp', 'xbm');

         // We are expecting an integer.
         $type = (int)$type;
         if (!$type) {
             trigger_error( '...come up with an error here...', E_USER_NOTICE );
             return null;
         }

         if ( !isset($e[$type]) ) {
             trigger_error( '...come up with an error here...' E_USER_NOTICE );
             return null;
         }

         return ($dot ? '.' : '') . $e[$type];
     }
     
 }

 if ( !function_exists('image_type_to_mime_type') ) {

     function image_type_to_mime_type ($type)
     {
         $m = array ( 1 => 'image/gif', 'image/jpeg', 'image/png',
             'application/x-shockwave-flash', 'image/psd', 'image/bmp',
             'image/tiff', 'image/tiff', 'application/octet-stream',
             'image/jp2', 'application/octet-stream', 'application/octet-stream',
             'application/x-shockwave-flash', 'image/iff', 'image/vnd.wap.wbmp', 'image/xbm');

         // We are expecting an integer.
         $type = (int)$type;
         if (!$type) {
             trigger_error( '...come up with an error here...', E_USER_NOTICE );
             return null;
         }

         if ( !isset($m[$type]) ) {
             trigger_error( '...come up with an error here...' E_USER_NOTICE );
             return null;
         }

         return $m[$type];
     }

 }


/*
///if()

// Create image instance
$im = imagecreatetruecolor(100, 100);

// Save image
imagepng($im, './files/album/' . image_type_to_extension(IMAGETYPE_PNG));
imagedestroy($im);

/*

$type = image_type_to_extension("files/album/album_44_266.jpeg");
echo $type;

/*
Header("Content-type: image/jpg");
$string=implode($argv," ");
$im = imagecreatefromjpeg("files/album/album_44_266.jpeg");///album_1_4.jpg
$orange = ImageColorAllocate($im, 220, 210, 60);
$px = (imagesx($im)-7.5*strlen($string))/2;
ImageString($im,3,$px,9,$string,$orange);
ImageGif($im);
ImageDestroy($im);






/*
include'/home2/user3135/in.php';
echo '<br />'.$_SERVER['DOCUMENT_ROOT'];////home2/user3135/public_html
/*
function generate_checkboxes ($name, $options, $default=array()) {
     if (!is_array($default)) {
         $default = array();
     }
     foreach ($options as $value => $label) {
         $html .= "<INPUT TYPE=CHECKBOX ";
         if (in_array($value, $default)) {
             $html .= "CHECKED ";
         }
         $html .= "NAME=\"{$name}[]\" VALUE=\"$value\">";
         $html .= $label . "<br>";
     }
     return($html);
 }

 $options = array("movies" => "Ходить в кино",
           "music" => "Слушать музыку",
           "sport" => "Играть или смотреть спортивные передачи",
           "travel" => "Путешествовать");
 $html = generate_checkboxes ("interests", $options, $interests);

 ?>
 <H1>Пожалуйста, укажите область ваших интересов</H1> 
 <FORM ACTION="3.php" METHOD=POST>
 <?php print $html;?>
 <INPUT TYPE=SUBMIT VALUE="Продолжить"></FORM>
<?


///echo $_POST[interests];
if(isset($_POST['interests'])){
 foreach ( $_POST['interests'] as $key => $field )  
    {
		echo $key.' => '.$field;
	}
}
 /*
require'config.php';

$msg = '..доволен. ! :)  .cvetok8. дж .арфа. .гитара3. .гитара4. .гитара5. .ася. .бай..';


function smiles($msg)
{
global $db;

$result = $db->sql_query ("SELECT `sim`,`name` FROM `smiles_spis`"); 
while($smile = $db->sql_fetchrow($result))
{
$smile['sim']=stripcslashes(htmlspecialchars($smile['sim']));
$msg = str_replace("$smile[sim]", "<img src=\"/smiles/$smile[name].gif\" alt=\"\" />", $msg);
}
return $msg;
}

echo smiles($msg);

/*
$result = $db->sql_query ("SELECT * FROM `smiles_spis`");   
while($smile = $db->sql_fetchrow($result))
{ 
	////$msg=str_replace("$smil
	e['name']", "<img src=\"/smiles/$smile['name'].gif\" alt=\"\" />", $msg);
///echo $msg;
echo $smile[id].' '.$smile[sim].' '.$smile[name].'<br />';
	}


	*/
	/*
function smiles($msg)
{
global $db, $set,$user;


$result = $db->sql_query ("SELECT * FROM `smiles_spis`"); 
while($smile = $db->sql_fetchrow($result))
{ 
$smile['sim']=stripcslashes(htmlspecialchars($smile['sim']));
$msg=str_replace("$smile['sim']", "<img src=\"/smiles/$smile['name'].gif\" alt=\"\" />", $msg);
}
return $msg;
}

echo smiles($msg);
*/
/*
$result = $db->sql_query ("SELECT `sim`,`name` FROM `smiles_spis`"); 
while($smile = $db->sql_fetchrow($result))
{
$smile['sim']=stripcslashes(htmlspecialchars($smile['sim']));
$msg = str_replace("$smile[sim]", "<img src=\"/smiles/$smile[name].gif\" alt=\"\" />", $msg);
}
echo $msg.'<br />';
*/
	/*
phpinfo();
/*
 function sizer($s)

 {

 $o=1;

 while($s>1024)

 {

 $s = round($s / 1024, 1);

 $o++;

 }

 switch($o)

 {

 case(1):

 $o='b';

 break;

 case(2):

 $o='Kb';

 break;

 case(3):

 $o='Mb';

 break;

 case(4):

 $o='Gb';

 break;

 }

 return $s.$o;

 }

 $filepath = 'test.rar';



 $rar = rar_open($filepath) or die('Ошибка открытия RAR архива');

 $list = rar_list($rar);

 $c = count($list);

 echo'Обьектов: '.$c.'<hr/>';

 for($i = 0; $i<$c; $i++)

 {

 echo $list[$i]->name.' ['.sizer($list[$i]->unpacked_size).'/'.sizer($list[$i]->packed_size).']<br/>';

 }

 rar_close($rar);



/*
require'config.php';
$user['avr'] = 0;
$align='left';
$title='Хо па';
head();
aut();


/*
if($user['id']==3)
{
$whoAll = $db->sql_query("SELECT users.`id`,users.`location_ref`,users.`location` FROM who,users WHERE who.user=users.id");
while($whos = $db->sql_fetchrow($whoAll)){
////echo nik($whos['id']).'&#187; Где: <u><a href="'.$whos[location_ref].'">'.$whos[location].'</a></u><br />';
 echo '<table>
		<tr>
		<td>'.nik($whos['id']).'</td><td><u><a href="'.$whos[location_ref].'">'.$whos[location].'</a></u></td><td>'.$whos[location_ref].'</td>
		</tr>
		</table>';


}
}


/*
$str = 'ыввыыымшк4тышва ывдлаь цущдьа ывждаь sklm;sldjrf nbsuoefh ыврацшщураыдлвта';
$a =  mb_strlen($str, 'utf-8');
if(fmod($a,2)==0) $a = mb_strtolower($str[a], 'utf-8'); else $a = mb_strtoupper($str[a], 'utf-8');
echo $a;*/

/*
$stroka = "Люди ничего не забывают.Но они
 часто смелые,глупые и хитрые.
 Для чего им:нужен мозг.";

     # максимальная длина слов
$chars_max = 5;
     # максимальная длина всей строки
$chars_max_string = 47;

     # сама функция
 function _Max_long_string ($string){
 global $chars_max, $chars_max_string;
$string =  preg_replace ("/[ˆ\n\x20-\xFF]/", "", $string); 
$string =  preg_replace ( "~&quot;|“|”|«|»|&#(1(47|48|71|87)|34)[;]?~s", '"', $string );
$string =  preg_replace ( "~‘|’|&#(1(45|46)|39)[;]?~s", "'", $string );
$string =  preg_replace ( "~–|—|&#1(50|51)[;]?~s", "-", $string );
$string =  preg_replace ( "~…|&#133[;]?~s", "...", $string );
$word =  split ("[\n., :]", $string);
$lines =  sizeof ($word);
 for ($i = 0; $i < $lines; $i++){ 
 if ( ! empty ($word[$i])){
 if (  strlen ($word[$i]) > $chars_max ) { $array[] =  substr ( $word[$i] , 0 , $chars_max ) . "."; }
 else { $array[] = $word[$i]; }
}
}
$lines =  sizeof ($array); 
$string = '';
 for ($i = 0; $i < $lines; $i++) { $string .= $array[$i]." "; } 
$string =  trim ( preg_replace ("~[ ]+~", " ", $string)); 
$string =  trim (  substr ( $string , 0 , $chars_max_string-1 ) );

 if ( preg_match ("~\.$~",$string)) return $string;
 return substr ( $string , 0 , $chars_max_string-1 ) . ".";
}

$new_stroka = _Max_long_string ($stroka);
 print $new_stroka;*/
 
 
///foot();
?>

